import {
  END_PERIOD_PARAM_KEY,
  LASTNOBS_PARAM_KEY,
  LAST_N_PERIODS_PARAM_KEY,
  START_PERIOD_PARAM_KEY,
} from './params';

export const DATAFLOW_ANNOTATIONS_PATH = [
  'data',
  'dataflows',
  0,
  'annotations',
];

export const DEFAULT_ANNOT_TYPE = 'DEFAULT';
export const DEFAULT_LASTNOBS_VAL = '1';
export const MICRODATA = 'DRILLDOWN';

export const NO_DISPLAY_ANNOT_TYPE = 'NOT_DISPLAYED';

export const START_PERIOD_ANNOT = 'TIME_PERIOD_START';
export const END_PERIOD_ANNOT = 'TIME_PERIOD_END';
export const LASTNOBS_ANNOT = 'LASTNOBSERVATIONS';
export const LAST_N_PERIODS = 'LASTNPERIODS';

export const DEFAULT_PARAMS = {
  [START_PERIOD_ANNOT]: START_PERIOD_PARAM_KEY,
  [END_PERIOD_ANNOT]: END_PERIOD_PARAM_KEY,
  [LASTNOBS_ANNOT]: LASTNOBS_PARAM_KEY,
  [LAST_N_PERIODS]: LAST_N_PERIODS_PARAM_KEY,
};

export const LAYOUT_ANNOTATIONS_TYPES = [
  'LAYOUT_ROW',
  'LAYOUT_COLUMN',
  'LAYOUT_ROW_SECTION',
];
export const LAYOUT_KEYS = {
  LAYOUT_COLUMN: 'header',
  LAYOUT_ROW: 'rows',
  LAYOUT_ROW_SECTION: 'sections',
};
